# Uses of Class
com.destroystokyo.paper.entity.villager.Reputation

Packages that use Reputation
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Reputation in org.bukkit.entity

Methods in org.bukkit.entity that return Reputation
Modifier and Type
Method
Description
`Reputation`
Villager.`getReputation(@NotNull UUID uniqueId)`
Get the `reputation` for a specific player by `UUID`.
Methods in org.bukkit.entity that return types with arguments of type Reputation
Modifier and Type
Method
Description
`@NotNull Map<UUID,Reputation>`
Villager.`getReputations()`
Get all `reputations` for all players mapped by their `unique IDs`.
Methods in org.bukkit.entity with parameters of type Reputation
Modifier and Type
Method
Description
`void`
Villager.`setReputation(@NotNull UUID uniqueId, Reputation reputation)`
Set the `reputation` for a specific player by `UUID`.
Method parameters in org.bukkit.entity with type arguments of type Reputation
Modifier and Type
Method
Description
`void`
Villager.`setReputations(@NotNull Map<UUID,Reputation> reputations)`
Set all `reputations` for all players mapped by their `unique IDs`.